loadClasses(); 
function loadClasses() {   
		//checkLogin();
		var token = localStorage.getItem('shalatoken');
		var url = 'readclassname.php';
		var formData = new FormData(); 
		if (sessionStorage.getItem('user') && user == ''){
			user = sessionStorage.getItem('user');
		}
		 
		if (user.length) {		
			formData.append('user', user ); 
			formData.append('shala', token ); 
			fetch(url, { method: 'POST', body: formData })
			.then(
				function(response) {
				  if (response.status !== 200) {
					console.log('Problem in data');
					return;
				  }
				  response.text().then(function(data) { 
					var mydata = JSON.parse(data)   
					whoami()
					addClassNames(mydata)   
					 document.getElementById("gvmdueid").value = getNow()
					 loadMessages()
				  });
			}); 
		}else{
			//alert('Login');
			//logout();
			 window.location.href='index.php'
		}
}
function loadMessages(){
		var token = localStorage.getItem('shalatoken');
		 
		var url = 'readinitmsg.php';
		var formData = new FormData(); 
		if (sessionStorage.getItem('user') && user == ''){
			user = sessionStorage.getItem('user');
		} 
		if (user.length) {		 
			formData.append('user', user );  
			formData.append('shala', token );  
			fetch(url, { method: 'POST', body: formData })
			.then(
				function(response) {
				  if (response.status !== 200) {
					console.log('Problem accessing data');
					return;
				  }
				  response.text().then(function(data) { 
					var mydata = JSON.parse(data) 
					 showMsgTable(mydata[0]['vartpaan']);  
				  });
			}); 
		}else{
			alert('No such user');
		}	
}
function showMsgTable(mydata){
 
		var add2div = document.getElementById("classlsid")
		//add2div.innerHTML='<span class="w3-tag w3-pading">Messages </span>'
				// tbl
				var divtbl = document.createElement('div');
				divtbl.className="w3-row-padding w3-margin-bottom w3-tiny w3-border  w3-responsive" 
				divtbl.setAttribute("id","gvmsgtblid" );
				var tbl = document.createElement('table');
				tbl.className="w3-table w3-all w3-small w3-hoverable"
				var tby = document.createElement('tbody');
				tbl.appendChild(tby);
				//  
				var mlen = mydata.length 
				for(var j=0;j<mlen;j++){
					var tr = document.createElement('TR');
					tby.appendChild(tr);
					tr.className="w3-hoverable w3-hover-light-grey";
				/* 	var td=document.createElement('td')
					td.appendChild(document.createTextNode( (j+1))) ;
					tr.appendChild(td);  */
					var td=document.createElement('td')
					 
					var code=mydata[j]['code']
					if (code==1){
						var caticon = '<i class="w3-text-green w3-small material-icons" title="Reminder note">notifications_active</i>';
					}else if (code==2){
						var caticon = '<i class="w3-text-green w3-small material-icons" title="Exam Notice">assignment</i>';
					}else if (code==3){
						var caticon = '<i class="w3-text-green w3-small material-icons" title="Meetup note">record_voice_over</i>';
					}else if (code==4){
						var caticon = '<i class="w3-text-green w3-small material-icons" title="Books/others">local_library</i>';
					} 
					var ispan = document.createElement('span');
					ispan.innerHTML= caticon;
					td.appendChild(ispan); 
					tr.appendChild(td);	
					var td=document.createElement('td')
					var priority=mydata[j]['priority']
					if (priority==1){
						var caticon = '<i class="w3-text-red w3-small material-icons" title="Priority">brightness_5</i>';
					}else if (priority==2){
						var caticon = '<i class="w3-text-green w3-small material-icons" title="Normal">brightness_5</i>';
					}else{
						var caticon = '<i class="w3-text-purple w3-small material-icons" title="Advance">brightness_5</i>';
					}  
					var ispan = document.createElement('span');
					ispan.innerHTML=caticon;
					td.appendChild(ispan);
					tr.appendChild(td);	
					
					var td=document.createElement('td')
					var ispan = document.createElement('span');
					ispan.innerHTML= mydata[j]['title'];
					td.appendChild(ispan); 
					tr.appendChild(td);	
					
					var td=document.createElement('td')
					var ispan = document.createElement('span');
					ispan.innerHTML= mydata[j]['msg'];
					td.appendChild(ispan); 
					tr.appendChild(td);	
					
					var td=document.createElement('td')
					var ispan = document.createElement('span');
						ispan.innerHTML='<i class="material-icons w3-small w3-text-grey">edit</i>'
						ispan.setAttribute('onclick','editMsg("'+j+'",'+JSON.stringify(mydata[j])+')');
						ispan.style.cursor="pointer"  
						td.appendChild(ispan);
						tr.appendChild(td);	
					var td=document.createElement('td') 
						var ispan = document.createElement('span');
						ispan.innerHTML='<i class="material-icons w3-small w3-text-grey">delete</i>' 
						ispan.setAttribute('onclick','delMsg("'+j+'")');						
						ispan.style.cursor="pointer"  
						td.appendChild(ispan);
						tr.appendChild(td);	
				}
				divtbl.appendChild(tbl);
				add2div.appendChild(divtbl); 
			//
}
function editMsg(idx,mydata){  
//var title = mydata.map(function(item) { return item.title });
document.getElementById('gvmtitleid').value = mydata.title
document.getElementById('gvmtxtid').value = mydata.msg
document.getElementById('gvselmsgid').value = mydata.code
document.getElementById('gvselclassid').value = mydata.class
document.getElementById('gvselpriorid').value = mydata.priority
document.getElementById('gvmdueid').value = mydata.closeon

}
function delMsg(idx){ 
		var token = localStorage.getItem('shalatoken');
		 
		var url = 'delmsgentry.php';
		var formData = new FormData(); 
		if (sessionStorage.getItem('user') && user == ''){
			user = sessionStorage.getItem('user');
		} 
		if (user.length) {		 
			formData.append('user', user );  
			formData.append('shala', token );  
			formData.append('qidx', idx );  
			fetch(url, { method: 'POST', body: formData })
			.then(
				function(response) {
				  if (response.status !== 200) {
					console.log('Problem accessing data');
					return;
				  }
				  response.text().then(function(data) { 
					var mydata = JSON.parse(data) 
					console.log(mydata);
					alert('Msg. Deleted');
					location.reload();   
				  });
			}); 
		}else{
			alert('No such user');
		}	
}
function addClassNames(mydata){
	var ucselect = document.getElementById("gvselclassid") 
	 
	var len = mydata.length;
	var chkarr = []; 
	for (var i = 0; i< len ; i++){
		var optc = document.createElement('option');
		optc.value = mydata[i]['code'] ;
		optc.innerHTML = mydata[i]['code'] ;
		if (mydata[i]['code']== sessionStorage.getItem('ccode')){
			optc.setAttribute('selected',true);
		}
		ucselect.appendChild(optc);  
	}	 
}
function addEntry(){
	
	var msgtype = document.getElementById("gvselmsgid").value;
	var cname = document.getElementById("gvselclassid").value;
	var priority = document.getElementById("gvselpriorid").value;
	var msgtitle = document.getElementById("gvmtitleid").value;
	var msgtxt = document.getElementById("gvmtxtid").value;
	var msgdue = document.getElementById("gvmdueid").value;
   
    //document.getElementById("classlsid").innerText= msgtype+ '  '+cname+ '  '+priority+ '  '+msgtitle+ '  '+msgtxt+ '  '+msgdue ;
	var insert = false; 
		if (msgtitle.length > 0 && goodWords(msgtitle) && msgtxt.length > 0 && goodWords(msgtxt)  ){
		insert=true; 
		}
		else{
			alert('Enter inputs correctly');
		}
		if (insert) {
			var url = 'setmessageentry.php';
			var formData = new FormData(); 
			formData.append('msgtype', msgtype );  
			formData.append('cname', cname );  
			formData.append('priority', priority ); 
			formData.append('msgtitle', msgtitle );
			formData.append('msgtxt', msgtxt );
			formData.append('msgdue', msgdue );
			formData.append('user', sessionStorage.getItem('user') );
			formData.append('shala', localStorage.getItem('shalatoken') );
			fetch(url, { method: 'POST', body: formData })
			.then(
		function(response) {
		  if (response.status !== 200) {
			console.log('Problem in data');
			return;
		  }
		  response.text().then(function(data) { 
			if ( data < 0 ) {
				alert('Data not saved');
			}else {
				var mydata = JSON.parse(data)    
				alert('Message posted');  
				location.reload();
			}
		  });
			});  
		}
	
}