var fname = window.location.href.split('/').pop().split('.')[0]
var gvstarted='-1'; 
if (fname=='studpapers'){
	sessionStorage.setItem('gvstarted',0)
}
else{
	gvstarted=sessionStorage.getItem('gvstarted');
}
 

loadClasses();  
 
function loadClasses() {   
		//checkLogin();
		var token = localStorage.getItem('shalatoken');
		var url = 'readclassnameuser.php';
		var formData = new FormData(); 
		if (sessionStorage.getItem('user') && user == ''){
			user = sessionStorage.getItem('user');
		}
		 
		if (user.length) {		
			formData.append('user', user ); 
			formData.append('shala', token ); 
			fetch(url, { method: 'POST', body: formData })
			.then(
				function(response) {
				  if (response.status !== 200) {
					console.log('Problem in data');
					return;
				  }
				  response.text().then(function(data) { 
					var mydata = JSON.parse(data)   
					
					loadContext(mydata); 
					loadUserPapers()
					whoami()  
				  });
			}); 
		}else{
			alert('No such user');
		}
}
function loadContext(mydata){ 
	var cname,sname= '' ;
	var guruarr = []
	var found=false;
	for (var i=0;i<mydata.length;i++){  
		var gurus = mydata[i]['patra'] ;  
		for (var g = 0; g< gurus.length ; g++){ 
			if ( gurus[g]['name'] == user   ) {
				cname = mydata[i]['code']  
			}else{
				guruarr.push(gurus[g]['name'])
				sname += gurus[g]['subj']+';' 
			}
		}
	}
	const myg = [...new Set(guruarr)]
	
	const mygurus = myg.toString()
	sessionStorage.setItem('ccode',cname)
	sessionStorage.setItem('scode',sname)
	sessionStorage.setItem('myguru',mygurus)
	var sname = sname.slice(0,-1) 
	snames=sname.split(';') 
	 
	var stags='' 
	var gtags = '';
	document.getElementById("pctxcid").innerHTML='<span class="w3-tag menubgc">'+cname+'</span>';
	for(var x=0;x<snames.length;x++){
		stags +='<span class="w3-tag menubgc">'+ snames[x] +'</span> ';
	}
	for( x=0;x<myg.length;x++){
		gtags +='<span class="w3-tag menubgc">'+ myg[x] +'</span> ';
	}
	//document.getElementById("pctxsid").innerHTML=stags;
	//document.getElementById("pctxgid").innerHTML=gtags;
	
}  
 
function loadUserPapers(){
		var token = localStorage.getItem('shalatoken');
		var cname = sessionStorage.getItem('ccode'); 
		var url = 'readpaperuser.php';
		var formData = new FormData(); 
		if (sessionStorage.getItem('user') && user == ''){
			user = sessionStorage.getItem('user');
		} 
		if (user.length) {		
			formData.append('user', user ); 
			formData.append('shala', token ); 
			formData.append('cname', cname ); 
			formData.append('sumrdet', 1 ); 
			fetch(url, { method: 'POST', body: formData })
			.then(
				function(response) {
				  if (response.status !== 200) {
					console.log('Problem in data');
					return;
				  }
				  response.text().then(function(data) { 
					var mydata = JSON.parse(data) 
					showPapers(mydata);  
				  });
			}); 
		}else{
			alert('No such user');
		}	
}
function showPapers(mydata){  
	var add2div =document.getElementById("classlsid");
	var gscat = sessionStorage.getItem('gscat')
	var user = sessionStorage.getItem('user')
	var ccode = sessionStorage.getItem('ccode') 
	var tbl = document.createElement('table'); 
	var pcode = sessionStorage.getItem('pcode');
	
	tbl.className = 'w3-table w3-hoverable w3-striped w3-bordered w3-border '; 
	tbl.setAttribute('id','gvplstblid');
	var tby = document.createElement('tbody');
	tbl.appendChild(tby); 
	var thisrow = 0;
	for (var i=0;i<mydata.length;i++){   
		if ( mydata[i]['ccode'].toLowerCase() == ccode.toLowerCase() && gvstarted < 0) {
			var tr = document.createElement('TR');
			tby.appendChild(tr);
			for (var j=0; j<3; j++){
				var td = document.createElement('TD'); 
				if ( j ==0 ){ 
					var ispan = document.createElement('span');
					ispan.className="w3-margin w3-hoverable";  
					ispan.innerHTML='<span class="w3-text-green">'+mydata[i]['paper']+'</span><br>'+'<span class="w3-text-grey w3-margin">'+mydata[i]['subj']+'</span>'+'<br>'+'<span class="w3-small w3-margin">'+mydata[i]['patra']+'</span>'
					td.appendChild(ispan );					
				}else if (j == 1){ 
					var ispan = document.createElement('span');
					var istrial='Real exam';
					if (mydata[i]['trial']!=0){
						istrial = 'Trial/Mock';
					}
					ispan.className="w3-margin w3-hoverable";  
					ispan.innerHTML=mydata[i]['begins']+'<br>'+'<span class="w3-margin">'+mydata[i]['ends']+'</span>'+'<br>'+'<span class="w3-small w3-margin">'+istrial+'</span>'+'<span class="w3-small w3-margin">'+'Announced'+'</span>'
					td.appendChild(ispan );
				}else if (j == 2){
					var ispan = document.createElement('span');
					ispan.className="w3-margin w3-hoverable";  
					var active=0;
					for(var a=0;a<mydata[i]['sections'].length ;a++){
						if(mydata[i]['sections'][a]['sel']==1)
							active++;
					}					
					ispan.innerHTML= active +'<span class="w3-small"> sections</span>'
					td.appendChild(ispan );
					var ispan = document.createElement('span');
					ispan.className="w3-margin w3-hoverable";  
					ispan.innerHTML='<span class="w3-small">'+mydata[i]['pass']+'</span>/'+mydata[i]['total'] 
					td.appendChild(ispan ); 
					 
						var ispan = document.createElement('span');
						ispan.className="w3-margin w3-hoverable"; 
						ispan.style.cursor="pointer";   
						ispan.setAttribute('onclick', 'beginTest("' + mydata[i].pcode+ '")');	
						ispan.innerHTML='<i class="w3-btn w3-text-grey material-icons">play_arrow</i>'  
						td.appendChild(ispan ); 
					 
					var ispan = document.createElement('span');
					ispan.className="w3-margin w3-hoverable "; 
					ispan.style.cursor="pointer";    
					ispan.setAttribute('onclick', 'showResult("' + mydata[i].pcode+ '")');	
					ispan.innerHTML='<i class="w3-btn w3-text-grey material-icons">pie_chart</i>'  
					td.appendChild(ispan ); 
				}
				tr.appendChild(td);
			}	 
		}
		else if ( mydata[i]['ccode'].toLowerCase() == ccode.toLowerCase() && gvstarted==1 && mydata[i]['pcode']== pcode) {
			thisrow=i;
			var tr = document.createElement('TR');
			tby.appendChild(tr);
			for (var j=0; j<3; j++){
				var td = document.createElement('TD'); 
				if ( j ==0 ){ 
					var ispan = document.createElement('span');
					ispan.className="w3-margin w3-hoverable";  
					ispan.innerHTML='<span class="w3-text-green">'+mydata[i]['paper']+'</span><br>'+'<span class="w3-text-grey w3-margin">'+mydata[i]['subj']+'</span>'+'<br>'+'<span class="w3-small w3-margin">'+mydata[i]['patra']+'</span>'
					td.appendChild(ispan );					
				}else if (j == 1){ 
					var ispan = document.createElement('span');
					var istrial='Real exam';
					if (mydata[i]['trial']!=0){
						istrial = 'Trial/Mock';
					}
					ispan.className="w3-margin w3-hoverable";  
					ispan.innerHTML=mydata[i]['begins']+'<br>'+'<span class="w3-margin">'+mydata[i]['ends']+'</span>'+'<br>'+'<span class="w3-small w3-margin">'+istrial+'</span>'+'<span class="w3-small w3-margin">'+'Announced'+'</span>'
					td.appendChild(ispan );
				}else if (j == 2){
					var ispan = document.createElement('span');
					ispan.className="w3-margin w3-hoverable";  
					var active=0;
					for(var a=0;a<mydata[i]['sections'].length ;a++){
						if(mydata[i]['sections'][a]['sel']==1)
							active++;
					}
					ispan.innerHTML= active+'<span class="w3-small"> sections</span>'
					td.appendChild(ispan );
					var ispan = document.createElement('span');
					ispan.className="w3-margin w3-hoverable";  
					ispan.innerHTML='<span class="w3-small">'+mydata[i]['pass']+'</span>/'+mydata[i]['total'] 
					td.appendChild(ispan );  
					
						if (gvstarted == 0){
							var ispan = document.createElement('span');
							ispan.className="w3-margin w3-hoverable"; 
							ispan.style.cursor="pointer";   
							ispan.setAttribute('onclick', 'beginTest("' + mydata[i].pcode+ '")');	
							ispan.innerHTML='<i class="w3-btn w3-text-grey material-icons">play_arrow</i>'  
							td.appendChild(ispan ); 
						}
					 
				}
				tr.appendChild(td);
			}	 
		}
	} 
	add2div.appendChild(tbl);
	if (gvstarted == 1 && fname=='studexam'){ 
		dispQuestions(mydata,thisrow) 
	}
}

var sectsarr = []; 
var questarr = []; 
var qcatsarr = []; 
function dispQuestions(mydata,i){ 
	var add2div =document.getElementById("gvsbeginid");
 
	var ispan = document.createElement('div');
	ispan.className ="w3-container w3-section" 
	ispan.innerHTML ='<p><span class="w3-text-red  ">General Instruction </span><br>'+mydata[i]['inst']+'</p>'
	add2div.appendChild(ispan); 
	var sec  = mydata[i]['sections']   
	for(var j=0;j<sec.length;j++){
		if ( sec[j]['sel']==1 ) {  
			var mrk = sec[j]['marks']
			var tqn = sec[j]['many']
			var idv = mrk+'#'+tqn;
			var tq = 0;
			if ( sec[j]['quest'] ){
				tq = sec[j]['quest'].length;
				sectsarr.push(idv+'='+j)
				questarr.push(tq)
			}
			var secdivid = document.createElement("div")  
			var ltr = String.fromCharCode(65 + j);
			secdivid.setAttribute('id','gvsecsid'+idv);
			secdivid.className="w3-container w3-margin w3-border  w3-left-align"  
			var hdr = document.createElement("div");
			hdr.className="w3-panel lemon w3-round"
			var ispan = document.createElement('span'); 
			ispan.className="w3-wide"
			
			if (mrk*sec[j]['any']==0){
				secmarks= mrk*sec[j]['many']
			}
			else {
				secmarks=mrk*sec[j]['any']
			} 
			ispan.innerHTML =' Section '+ ltr + ' (' + mrk + 'mrk. x '+ tqn +'Qs.)=' + secmarks + ' Marks';
			hdr.appendChild(ispan)
			var ispan = document.createElement('p'); 
			ispan.className="w3-small w3-text-grey"
			ispan.innerHTML ='Section Instruction '+sec[j]['about'] 
			hdr.appendChild(ispan)
			secdivid.appendChild(hdr); 
	
			for(var r=0;r<tq;r++){
				var qdiv = document.createElement("div")   
				qdiv.className="w3-row w3-margin-bottom"
				qdiv.innerHTML = '<span class="w3-tag lemon w3-border w3-border-grey">'+(r+1)+'</span>' 
				qdiv.innerHTML += '<span class="w3-margin-left">'+sec[j]['quest'][r]['qn']+'</span>'  
				
				var qdet = document.createElement("div")   
				qdet.className="w3-row w3-margin-left "
				qdetails = sec[j]['quest'][r]['qndet'];
				qcatsarr.push(sec[j]['quest'][r]['cat'])
				if (sec[j]['quest'][r]['cat']==2){
					var qdett = document.createElement("div")   
					qdett.className = "w3-col"
					var inp = document.createElement('textarea');
					inp.className="w3-input " 
					inp.setAttribute("title","Detailed Question text"); 
					inp.setAttribute("placeholder","Refer to question no detailed question"); 
					//inp.setAttribute("id","gvsectxtq2"+idv);  
					inp.setAttribute("disabled",true); 
					inp.setAttribute("cols",3); 
					inp.setAttribute("rows",3);
					inp.style.border=" 1px solid grey";
					inp.innerHTML = qdetails
					qdett.appendChild(inp)
					var adett = document.createElement("div")   
					adett.className = "w3-col"
					var inp = document.createElement('textarea');
					inp.className="w3-input " 
					inp.setAttribute("title","Detailed answer text here"); 
					inp.setAttribute("placeholder","Type your detailed answer (max 1000 words) here"); 
					inp.setAttribute("id","gvsectxta"+idv+'-'+j+'-'+r);				 
					inp.setAttribute("cols",3); 
					inp.setAttribute("rows",5);
					inp.setAttribute("spellcheck","default"); 
					inp.style.border=" 1px solid teal"; 
					qdett.appendChild(inp)
					qdet.appendChild(qdett)
				}
				else if (sec[j]['quest'][r]['cat']==1){ 
					//console.log('choice '+r+ ' = '+ qdetails);
					qdetarr = qdetails.split('|*|');
					for(var c=0;c<qdetarr.length && qdetarr[c].length >0 ;c++){
						var qdetc = document.createElement("div")  
						qdetc.className="w3-quarter w3-margin-bottom"
						var chk = document.createElement('input');
						var chklbl = document.createElement('label');
						chk.className="w3-check w3-margin-left"
						chklbl.className="w3-margin-left"
						chk.setAttribute("type","checkbox");
						chk.setAttribute("id","gvsecmcqc"+idv+'-'+j+'-'+r+'-'+c);
						chklbl.innerHTML=qdetarr[c] 
						qdetc.appendChild(chk)
						qdetc.appendChild(chklbl)
						qdet.appendChild(qdetc)
					}
				}
				qdiv.appendChild(qdet); 
				secdivid.appendChild(qdiv); 
			}
		add2div.appendChild(secdivid);
		}
		
	}
	
}
function beginTest(pcode){  
	sessionStorage.setItem('gvstarted',1) 
	sessionStorage.setItem('pcode',pcode)   
	window.location.href='studexam.php';
}
function showResult(pcode){  
	sessionStorage.setItem('gvstarted',1) //later remove if  
	sessionStorage.setItem('pcode',pcode)   
	window.location.href='studexamresult.php';
}

function saveExamEntry(who=2){
	var gscat = sessionStorage.getItem('gscat');
	if (who==2 && gscat==2){
		var ids = document.querySelectorAll('[id]');
		var inparr = []; 
		Array.prototype.forEach.call( ids, function( el, i ) { 
			var idobj = document.getElementById(el.id)
			if (idobj.disabled===false) { 
				if (idobj.checked && idobj.className.search('w3-check')!=-1 ){ 
					inparr[el.id]= 1; 
				}
				else if (!idobj.checked && idobj.className.search('w3-check')!=-1 ) {
					inparr[el.id]= 0; 
				}
				else if (idobj.className.search('w3-input')!=-1 ) {
					inparr[el.id]= idobj.value ; 
				} 
			} 
		});  

		let akeys = Object.keys(inparr);
		let avals = Object.values(inparr); 
		let arrkeys = [];
		let arrvals = [];
		for(var i=0;i<akeys.length;i++){
			arrkeys[i]=akeys[i];
			arrvals[i]=avals[i];
		} 
		addAnswers(JSON.stringify(arrkeys), JSON.stringify(arrvals), JSON.stringify(sectsarr) )
	} 
}
  
function addAnswers(ids, ans, sec){
		var token = localStorage.getItem('shalatoken');
		var cname = sessionStorage.getItem('ccode'); 
		var userid = sessionStorage.getItem('userid')  
		var pcode = sessionStorage.getItem('pcode')  
		var url = 'setstudatmpt.php';
		var formData = new FormData(); 
		if (sessionStorage.getItem('user') && user == ''){
			user = sessionStorage.getItem('user');
		} 
		if (user.length) {		
			formData.append('shala', token ); 
			formData.append('user', user ); 
			formData.append('userid', userid ); 
			formData.append('pcode', pcode ); 
			formData.append('qids', ids ); 
			formData.append('qans', ans ); 
			formData.append('sec', sec ); 
			fetch(url, { method: 'POST', body: formData })
			.then(
				function(response) {
				  if (response.status !== 200) {
					console.log('Problem in data');
					return;
				  }
				  response.text().then(function(data) { 
					//var mydata = JSON.parse(data) 
					//console.log(mydata) 
					alert('Answers submitted');
				  });
			}); 
		}else{
			alert('No such user');
		}	
}
 